import { Redirect, Route } from 'react-router-dom';
import {
  IonApp,
  IonIcon,
  IonLabel,
  IonRouterOutlet,
  IonTabBar,
  IonTabButton,
  IonTabs,
  setupIonicReact
} from '@ionic/react';
import { IonReactRouter } from '@ionic/react-router';
import { atCircle, attach, ellipse, flag, home, people, peopleCircle, square, triangle } from 'ionicons/icons';
import Tab1 from './pages/Info';
import Tab2 from './pages/Home';
import Tab3 from './pages/Flag';

/* Core CSS required for Ionic components to work properly */
import '@ionic/react/css/core.css';

/* Basic CSS for apps built with Ionic */
import '@ionic/react/css/normalize.css';
import '@ionic/react/css/structure.css';
import '@ionic/react/css/typography.css';

/* Optional CSS utils that can be commented out */
import '@ionic/react/css/padding.css';
import '@ionic/react/css/float-elements.css';
import '@ionic/react/css/text-alignment.css';
import '@ionic/react/css/text-transformation.css';
import '@ionic/react/css/flex-utils.css';
import '@ionic/react/css/display.css';

/* Theme variables */
import './theme/variables.css';
import Home from './pages/Home';
import Flag from './pages/Flag';
import Info from './pages/Info';

setupIonicReact();

const App: React.FC = () => (
  <IonApp>
    <IonReactRouter>
      <IonTabs>
        <IonRouterOutlet>
          <Route exact path="/home">
            <Home />
          </Route>
          <Route exact path="/flag">
            <Flag />
          </Route>
          <Route path="/info">
            <Info />
          </Route>
          <Route exact path="/">
            <Redirect to="/home" />
          </Route>
        </IonRouterOutlet>
        <IonTabBar color="light" slot="bottom">
          <IonTabButton tab="home" href="/home">
            <IonIcon color="primary" icon={home} />
            <IonLabel color="primary">Home</IonLabel>
          </IonTabButton>
          <IonTabButton tab="flag" href="/flag">
            <IonIcon color="primary" icon={flag} />
            <IonLabel color="primary">Flag</IonLabel>
          </IonTabButton>
          <IonTabButton tab="info" href="/info">
            <IonIcon color="primary" icon={peopleCircle} />
            <IonLabel color="primary">Info</IonLabel>
          </IonTabButton>
        </IonTabBar>
      </IonTabs>
    </IonReactRouter>
  </IonApp>
);

export default App;
